diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index d357728..859494b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -129597,7 +129597,8 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
      internalSubPolSet?: (LP, LP) -> Boolean
          ++ \axiom{internalSubPolSet?(lp1,lp2)} returns true iff \axiom{lp1} is
          ++ a sub-set of \axiom{lp2} assuming that these lists are sorted
-         ++ increasingly w.r.t. \axiomOpFrom{infRittWu?}{RecursivePolynomialCategory}.
+         ++ increasingly w.r.t. 
+         ++ \axiomOpFrom{infRittWu?}{RecursivePolynomialCategory}.
      internalInfRittWu?: (LP, LP) -> Boolean
          ++ \axiom{internalInfRittWu?(lp1,lp2)}
          ++ is an internal subroutine, exported only for developement.
@@ -129605,8 +129606,9 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
          ++ \axiom{infRittWu?(lp1,lp2)}
          ++ is an internal subroutine, exported only for developement.
      internalSubQuasiComponent?: (TS,TS) -> Union(Boolean,"failed")
-         ++ \axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \spad{b} value
-         ++ if the fact that the regular zero set of \axiom{us} contains that of
+         ++ \axiom{internalSubQuasiComponent?(ts,us)} returns a 
+         ++ boolean \spad{b} value if the fact that the regular 
+         ++ zero set of \axiom{us} contains that of
          ++ \axiom{ts} can be decided (and in that case \axiom{b} gives this 
          ++ inclusion) otherwise returns \axiom{"failed"}.
      subQuasiComponent?: (TS,TS) -> Boolean
@@ -129615,10 +129617,12 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
          ++ returs true.
      subQuasiComponent?: (TS,Split) -> Boolean
          ++ \axiom{subQuasiComponent?(ts,lus)} returns true iff
-         ++ \axiom{subQuasiComponent?(ts,us)} holds for one \spad{us} in \spad{lus}.
+         ++ \axiom{subQuasiComponent?(ts,us)} holds for one \spad{us} 
+         ++ in \spad{lus}.
      removeSuperfluousQuasiComponents: Split -> Split
-         ++ \axiom{removeSuperfluousQuasiComponents(lts)} removes from \axiom{lts}
-         ++ any \spad{ts} such that \axiom{subQuasiComponent?(ts,us)} holds for 
+         ++ \axiom{removeSuperfluousQuasiComponents(lts)} removes 
+         ++ from \axiom{lts} any \spad{ts} such that 
+         ++ \axiom{subQuasiComponent?(ts,us)} holds for 
          ++ another \spad{us} in \axiom{lts}.
      subCase?: (LpWT,LpWT) -> Boolean
          ++ \axiom{subCase?(lpwt1,lpwt2)}
@@ -129657,7 +129661,8 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
        #ts > #us => false
        lp1 :LP := members(ts)
        lp2 :LP := members(us)
-       while (not empty? lp1) and (not infRittWu?(first(lp2),first(lp1))) repeat
+       while (not empty? lp1) 
+        and (not infRittWu?(first(lp2),first(lp1))) repeat
          lp1 := rest lp1
          lp2 := rest lp2
        not empty? lp1
@@ -129744,7 +129749,9 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 
      removeSuperfluousCases (cases:List LpWT) ==
        #cases < 2 => cases
-       toSee := sort(supDimElseRittWu?(#1.tower,#2.tower),cases)
+       toSee := 
+         sort((x:LpWT,y:LpWT):Boolean +-> 
+               supDimElseRittWu?(x.tower,y.tower),cases)
        lpwt1,lpwt2 : LpWT
        toSave,headmaxcases,maxcases,copymaxcases : List LpWT
        while not empty? toSee repeat
@@ -129883,15 +129890,18 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
              lineq : LP := branch.ineq
              ubf1: UBF := branchIfCan(leq,ts,lq,false,false,true,true,true)@UBF
              ubf1 case "failed" => "leave"
-             ubf2: UBF := branchIfCan([f],ts,lineq,false,false,true,true,true)@UBF
+             ubf2: UBF := 
+               branchIfCan([f],ts,lineq,false,false,true,true,true)@UBF
              ubf2 case "failed" => "leave"
              leq := sort(infRittWu?,removeDuplicates concat(ubf1.eq,ubf2.eq))
-             lineq := sort(infRittWu?,removeDuplicates concat(ubf1.ineq,ubf2.ineq))
-             newBranch := branchIfCan(leq,ts,lineq,false,false,false,false,false)
+             lineq := 
+               sort(infRittWu?,removeDuplicates concat(ubf1.ineq,ubf2.ineq))
+             newBranch := 
+               branchIfCan(leq,ts,lineq,false,false,false,false,false)
              branches:= cons(newBranch::Branch,branches)
            lq := cons(f,lq)
          toSee := branches
-       sort(supDimElseRittWu?(#1.tower,#2.tower),toSee)
+       sort((x,y) +-> supDimElseRittWu?(x.tower,y.tower),toSee)
 
 @
 <<QCMPACK.dotabb>>=
diff --git a/changelog b/changelog
index 7444e52..4aec483 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.05.tpd.patch
+20090619 tpd books/bookvol10.4 QCMPACK +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.04.tpd.patch
 20090619 tpd books/bookvol10.4 QALGSET2 +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a9acea2..13a3e9b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1587,5 +1587,7 @@ bookvol10.4 PUSHVAR +-> conversion<br/>
 src/axiom-website/download.html add may2009 binaries<br/>
 <a href="patches/20090619.04.tpd.patch">20090619.04.tpd.patch</a>
 bookvol10.4 QALGSET2 +-> conversion<br/>
+<a href="patches/20090619.05.tpd.patch">20090619.05.tpd.patch</a>
+bookvol10.4 QCMPACK +-> conversion<br/>
  </body>
 </html>
